PFont font1 = createFont("CalifornianFB-Reg", 20); 
int border = 40;
int[][] ohShit = new int[7][12];
//int totalTransactions = 0;
String[] monthNames = {"January" , "February" , "March" ,"April" , "May" , "June" , "July" , "August" , "September" , "October" , "November" , "December"};

void setup() {
  size(1600, 700); //size of the sketch window
  colorMode(HSB, 360,100,100); //color mode- like RGB or HSB (learn to use HSB because it's the best: http://en.wikipedia.org/wiki/HSL_and_HSV)
  smooth();
  
  
   //import the data from our text file 
  String savedData[] = loadStrings("savedData.txt");
  println("QUERY: " + savedData[0]);
  for (int i=1; i < savedData.length; i++) {
    
    String temp[] = split(savedData[i], ",");
    ohShit[Integer.parseInt(temp[0])-2005] [Integer.parseInt(temp[1])-1] = Integer.parseInt(temp[2]);
   
  }
}

void draw() {
    background(36,55,69);
    fill(0); //change the color of the numbers on X & Y axis! 

    //draw lines where length = number of transactions 
    stroke(0); //change the color of horizontal lines!
    //strokeWeight(2.0); //thickness of horizontal lines
    for(int i = 0;i<7;i++){
      fill(0);
      text(2005+i,((width-10)/7*i)+65,height-70);
      for(int f = 0;f<12;f++){
        fill(127,45,90-(float)ohShit[i][f]/8.8); //adjust shading of boxes?
        rect((width-100)/7*i,(height-100)/12*f, (width-100)/7,(height-100)/12); 
        
        //print mouseX positions
        if((abs(mouseX-((width-100)/7*i)) < 70) &&  (abs(mouseY-((height-100)/12*f)) <20)) { //tweak number popup ranges
          fill(360);
          textAlign(LEFT,TOP);
          text(ohShit[i][f],(width-100)/7*i,(height-100)/12*f);
        }
      }
    
    }
    
    for(int f = 0;f<12;f++){
      fill(0);
      textAlign(RIGHT,TOP); 
      text(monthNames[f], (float)width-25.2, f*(height/13.9)+15);
      //i*(height/12)-6
      //(height-72.5)/12*f+10);
    }
    
     
      
    fill(0);  //color of text in the center
    textAlign(CENTER,CENTER);
    text("TOTAL NUMBER OF ITEMS RELATING TO PREGNANCY CHECKED OUT FROM 2005-2011",width/2, height-30); 
}
